# Class CIM_PickerStatData
extends CIM_StatisticalData

Statistics for a PickerElement, related to pick/put successes, retries and failures. The element whose statistics are described is associated using the relationship, ElementStatisticalData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_PickerStatData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistics for a PickerElement, related to pick/put successes, retries and failures. The element whose statistics are described is associated using the relationship, ElementStatisticalData.
UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PickFailures | uint64 |
Counter | boolean | true
Description | string | The number of failed picks.
PickRetries | uint64 |
Counter | boolean | true
Description | string | The number of retried picks.
PickSuccesses | uint64 |
Counter | boolean | true
Description | string | The number of successful picks.
PutFailures | uint64 |
Counter | boolean | true
Description | string | The number of failed puts.
PutRetries | uint64 |
Counter | boolean | true
Description | string | The number of retried puts.
PutSuccesses | uint64 |
Counter | boolean | true
Description | string | The number of successful puts.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData